-- Not to be localized, just in here for general message purposes.
local GREEN="|cff20ff20"
local YELLOW="|cffffff40"
local RED="|cffff2020"
local WHITE="|cffffffff"
local MAGENTA="|cffff00ff"

local GEIST_PRETTYNAME = GREEN.."Geist"..WHITE
local GEIST_VERSION = " v30000.1"
local GEIST_PRETTYSLASH = YELLOW.."/geist "

-- Chat Messages
GEIST_LOCAL_CHAT = {
	SCALERESET = GEIST_PRETTYNAME..": Scale reset.",
	SCALESET = GEIST_PRETTYNAME..": Scale set to ",
	SCALEAT = GEIST_PRETTYNAME..": Scale is at ",
	BUTTON = GEIST_PRETTYNAME..": Button ",
	SETBUTTONID = " set to ID ",
	IDGUIDE = GEIST_PRETTYNAME..": Button ID guide is now ",
	NUMBUTTONSET = GEIST_PRETTYNAME..": Number of buttons now set to ",
	NUMBUTTONAT = GEIST_PRETTYNAME..": Number of buttons currently set to: ",
}

-- Chat Commands
GEIST_LOCAL_CMD = {
	SCALE = "scale",
	RESET = "reset",
	HELP = "help",
	ASSIGN = "assign",
	GUIDE = "guide",
	BUTTON = "buttons",
	ON = "on",
	OFF = "off",
}

-- Keybindings
local GEIST_LOCAL_KEYBIND = {
	FRAMEBINDSET = "Show Geist",
	BUTTONBINDSET = "Geist Button ",
}

GEIST_CHATUSAGE = {
	GEIST_PRETTYNAME..GEIST_VERSION.." Usage:",
	GEIST_PRETTYNAME..": "..RED.."All changes require a UI reload to take effect.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["BUTTON"]..WHITE..": Tells you the current number of buttons "..GEIST_PRETTYNAME.." is set to use.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["BUTTON"].." X"..WHITE..": Set the number of buttons for "..GEIST_PRETTYNAME.." to use between 1 and 25.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["SCALE"]..WHITE..": Tells you the current "..GEIST_PRETTYNAME.." scale.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["SCALE"].." X"..WHITE..": Set the scale of "..GEIST_PRETTYNAME.." to between 0.5 and 1.5.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["SCALE"].." "..GEIST_LOCAL_CMD["RESET"]..WHITE..": Reset "..GEIST_PRETTYNAME.." to match your UI scale.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["GUIDE"]..WHITE..": Enables or disables the button ID guide. When enabled, two numbers lay over your buttons. The top number is the "..GEIST_PRETTYNAME.." button number. The bottom is the ID currently assigned to it.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["ASSIGN"].."X"..WHITE..": Tells you what Button X's ID currently is.",
	GEIST_PRETTYSLASH..GEIST_LOCAL_CMD["ASSIGN"].."X Y"..WHITE..": Sets Button X to ID Y.",
	GEIST_PRETTYNAME..": "..RED.."Almost all changes require a UI reload to take effect.",
}

-- Binding Stuff
BINDING_HEADER_GEISTHEADER = GEIST_PRETTYNAME
_G["BINDING_NAME_CLICK GeistHeader:LeftButton"] = GEIST_LOCAL_KEYBIND["FRAMEBINDSET"]
